Skip to content

Delete Tag from Workflow Definition

Endpoint: DELETE /api/metadata/workflow/{name}/tags

Removes a specific tag from a workflow definition based on the provided key-value pair.

Path Parameters

Parameter Description Type Required/ Optional
name The name of the workflow definition from which the tag is to be removed. string Required.

Request Body

Parameter Description Type Required/ Optional
key The tag key. string Required.
value The tag value. string Required.

Response

  • Returns 200 OK, indicating that the tag has been removed from the workflow definition.
  • Returns 404 if the specified tag (key-value pair) does not exist for the workflow definition, or if the workflow definition itself does not exist.

Examples

Delete a tag from a workflow definition

Request

curl -X 'DELETE' \
  'https://<YOUR-SERVER-URL>/api/metadata/workflow/insurance-claim/tags' \
  -H 'accept: */*' \
  -H 'X-Authorization: <TOKEN>' \
  -H 'Content-Type: application/json' \
  -d '{
  "key": "team",
  "value": "finance"
}'

Response

Returns 200 OK, indicating that the tag has been removed from the workflow definition.